apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: <<appenv>>tdb-tinyurl
  namespace: <<appenv>>tdb-tinyurl
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
    - hosts:
        - <<SITES>>
      port:
        number: 443
        name: https-<<appenv>>tdb-tinyurl
        protocol: HTTPS
      tls:
        mode: SIMPLE
        credentialName: "<<appenv>>adaon-eu-tls"
    - hosts:
        - <<SITES>>
      port:
        name: http-<<appenv>>tdb-tinyurl
        number: 80
        protocol: HTTP
